| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Pike
Pike.Security
Pike.Security.Creds

# Method Pike.Security.Creds()->create()

Method create

  `void Pike.Security.Creds(User user, int allow_bits, int data_bits)`

Description

  Initialize a new credentials object.

Parameter `allow_bits`

  Any of the flags BIT_SECURITY and BIT_CONDITIONAL_IO or:ed together.

Parameter `data_bits`

  Any of the flags BIT_INDEX , BIT_SET_INDEX , BIT_CALL , BIT_NOT_SETUID and BIT_DESTRUCT or:ed together.

Throws

  Throws an exception if the current creds doesn't have the allow bit BIT_SECURITY set.